org.apache.fop.layoutmgr

## Class LayoutManagerMapping.Maker

- java.lang.Object
- - org.apache.fop.layoutmgr.LayoutManagerMapping.Maker

- Direct Known Subclasses:
    LayoutManagerMapping.BasicLinkLayoutManagerMaker, LayoutManagerMapping.BidiOverrideLayoutManagerMaker, LayoutManagerMapping.BlockContainerLayoutManagerMaker, LayoutManagerMapping.BlockLayoutManagerMaker, LayoutManagerMapping.CharacterLayoutManagerMaker, LayoutManagerMapping.ExternalGraphicLayoutManagerMaker, LayoutManagerMapping.FloatLayoutManagerMaker, LayoutManagerMapping.FootnoteLayoutManagerMaker, LayoutManagerMapping.FOTextLayoutManagerMaker, LayoutManagerMapping.InlineContainerLayoutManagerMaker, LayoutManagerMapping.InlineLayoutManagerMaker, LayoutManagerMapping.InstreamForeignObjectLayoutManagerMaker, LayoutManagerMapping.LeaderLayoutManagerMaker, LayoutManagerMapping.ListBlockLayoutManagerMaker, LayoutManagerMapping.ListItemLayoutManagerMaker, LayoutManagerMapping.MultiCaseLayoutManagerMaker, LayoutManagerMapping.MultiSwitchLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLastLayoutManagerMaker, LayoutManagerMapping.PageNumberCitationLayoutManagerMaker, LayoutManagerMapping.PageNumberLayoutManagerMaker, LayoutManagerMapping.RetrieveMarkerLayoutManagerMaker, LayoutManagerMapping.RetrieveTableMarkerLayoutManagerMaker, LayoutManagerMapping.TableLayoutManagerMaker, LayoutManagerMapping.WrapperLayoutManagerMaker
  Enclosing class:
    LayoutManagerMapping

      public static class LayoutManagerMapping.Maker
      extends Object

  a layout manager maker base class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Maker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `make(FONode node, List lms, FOUserAgent userAgent)` Create a layout manager.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Maker

          public Maker()

  - ### Method Detail

    - #### make

          public void make(FONode node,
                           List lms,
                           FOUserAgent userAgent)

      Create a layout manager.
      Parameters:
        `node` - the associated FO node
        `lms` - a list of layout managers to which new manager is to be added

Copyright © 2023 Apache Software Foundation. All rights reserved.